Issue 24317 - Highlighting - incorrect export to DOC
Summary: Highlighting - incorrect export to DOC
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 1.1
Hardware: All All
: P4 Trivial with 34 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 23559 26349 57540 63789 68843 90588 114707 (view as issue list)
Depends on:
Blocks: 90135
  Show dependency treegraph
 
Reported: 2004-01-12 18:39 UTC by petrbalas
Modified: 2015-03-12 14:43 UTC (History)
10 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
DOC vith highlighting created in OOo - can't remove it in Word97 (15.50 KB, application/msword)
2004-01-12 18:42 UTC, petrbalas
no flags Details
export problem with highlighting (7.41 KB, application/vnd.sun.xml.writer)
2004-02-29 16:23 UTC, firmail
no flags Details
demo file with highlighting, which is not removable in MS Office 2003+ (10.00 KB, application/msword)
2013-05-11 21:10 UTC, nrbrtx
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description petrbalas 2004-01-12 18:39:27 UTC
1) Highlight some word in OOo
2) export document to DOC
3) Open this document in Word97 - highlighting is visible
4) Try to remove highlighting in Word - nothing happened

You can't remove highlighting created in OOo in Word97.
Comment 1 petrbalas 2004-01-12 18:42:39 UTC
Created attachment 12443 [details]
DOC vith highlighting created in OOo - can't remove it in Word97
Comment 2 h.ilter 2004-01-13 11:27:25 UTC
Reassigned to MRU
Comment 3 michael.ruess 2004-01-13 12:03:51 UTC
It IS possible to remove in MS Word... Just select the mentioned text with the
mouse, go to "Format.Borders and Shading.Shading". There select "No Fill" and
the the Highlighting will go away.
Comment 4 michael.ruess 2004-01-13 12:17:26 UTC
Closed as "works for me".
Comment 5 petrbalas 2004-01-13 18:08:04 UTC
Sorry but I disagree.
OOo have "Highlighting" button on its toolbar.
Word97 have "Highlighting" button on its toolbar.
These two buttons should do exactly the same thing.
So this is NOT correct solution.

BTW thank you for your workaround.
Comment 6 michael.ruess 2004-01-14 09:01:49 UTC
MRU->CMC: it looks, that word uses two different places to store character
background color. First it is in "Format.Borders and Shading", second the
"Highlight" controller in the text object bar. 
Do you you think it is expedient to adapt out character background (which is a
real character attribute; just represented by the expression "Highlighting") to
Word's Higlighting and not to the "Shading" property?
Comment 7 caolanm 2004-01-16 16:45:21 UTC
cmc->mmaher: Can you take a look at this problem and see if it would make sense.
Comment 8 martin_maher 2004-01-21 15:00:40 UTC
mmaher->ama: In word, highlighting and background colour are two different text
attributes. In Writer they are the same. When we export to word in the filter we
cannot tell the difference between highlighted text and text in which the
background colour has been changed. In order to fix this behaviour we need to
have a seperate attribute for highlighting.
Comment 9 firmail 2004-02-29 16:23:06 UTC
Created attachment 13510 [details]
export problem with highlighting
Comment 10 firmail 2004-02-29 16:23:39 UTC
Additionally, there is a problem with styles and export into word format. 
 
Steps: 
 
1. highlight a paragraph 
2. derive from this paragraph a style 
3. mark some paragraphs with this style 
4. MANUALLY delete the highlighting in ooffice, so that the paragraph is white 
again 
5. export to word, the white paragraph is still yellow in word  
 
OOffice version = 1.1 
Word version = 2000 
 
see attached file above 
Comment 11 michael.ruess 2004-03-12 14:52:08 UTC
*** Issue 26349 has been marked as a duplicate of this issue. ***
Comment 12 brendel 2005-03-10 09:07:51 UTC
Just to confirm : the same problem persists using OO1.1.4 or OO2.0beta dn WORD 2000.
I find that there are several bugs where OO does not know how to export
something to WORD as there are several possibilities.
Why not have some user interaction, that when OO detects formatting etc that
could be exported two ways to ask the user e.g. "OO has detected shading in this
document at [...] this positin. Do you want to have it exported as shading or as
highliting ?"
This user interaction could be an option to not behasseld every time with these
questions, but only is one wants to send a file to somebody where it is
important to have all issues resolved

Just my 2eurocents
Thanks for reading
Oliver
Comment 13 gobnat 2005-03-30 03:15:34 UTC
"Me too"

I agree that the handling of highlighting in Word export is incorrect - word
users will not realise that they need to remove background rather than remove
highlighter - exported OOo documents will be perceived as defective.   

I also see the note that says OOo can't distinguish between highlighter and
backgrounds. 

I support either querying the user on export or warning the user on export about
how to remove the highlighting. 

Alternatively specific background colors (ie the OOo standard flourescent
colors) could be exported as highlighter, with the rest exported as backgrounds.

This last one will probably work most of the time for most people. 

Brendan 
Comment 14 michael.ruess 2005-11-09 20:08:09 UTC
*** Issue 57540 has been marked as a duplicate of this issue. ***
Comment 15 lohmaier 2005-11-09 20:26:34 UTC
*** Issue 23559 has been marked as a duplicate of this issue. ***
Comment 16 michael.ruess 2006-03-30 07:15:06 UTC
*** Issue 63789 has been marked as a duplicate of this issue. ***
Comment 17 michael.ruess 2006-08-22 08:28:01 UTC
*** Issue 68843 has been marked as a duplicate of this issue. ***
Comment 18 rvavruch 2007-05-10 16:20:08 UTC
The work-around only works if you set the Borders and Shading > Shading "Apply
to:" select box to "Text". The paragraph option affects the colour behind the
OOo highlighting.

Using MS Office Word 2003 (11.8215.8122) SP2, and OOo 2.2.0 on Windows.

Perhaps the MS exporter in OOo should ask the user which colours they want as
Shading and which as Highlighting? I think the default should be Highlighting.
Comment 19 john_ha 2007-05-26 10:50:30 UTC
This problem is a major obstacle to exchanging documents with MS Word users and
I will vote for it to be fixed.

Based on the fact that MS Word users are more familiar with HIGHLIGHT than with
SHADING (because the HIGHLIGHT tool is on the MS Word toolbar whereas the
SHADING tool is buried in a menu) would it be sensible to change OO so that OO
HIGHLIGHT is saved as MS Word HIGHLIGHT and not as MS Word SHADING.

This is presumably reasonably simple ( :-) ) to do, and is also more logical
because OO users are creatimg a HIGHLIGHT with the OO tool and expect it to go
to an MS HIGHLIGHT.

There will be other issues to consider, including:

1  Does OO use HIGHLIGHT in other situations to create what MS Word calls
SHADING and therefore should be exported as SHADING?  But as OO only has one
format, we have to lose something - is it best to lose SHADING? 

2  What happens when an MS Word doc with SHADING is imported?  Should OO ignore
it ?  or convert it to HIGHLIGHT?  or convert it to a HIGHLIGHT of a special
colour/pattern associated with MS SHADING? As OO only has one format, we have to
lose something.

Note that the problem is somewhat more serious than the simple Description given
to this issue.  A more accurate description of the problem is:

Any MS Word document opened with OO, and then saved as a .doc with OO, has all
its HIGHLIGHTs (both those created by the original MS Word user, and also those
created by the OO user) changed to SHADING.  So OO has corrupted the MS Word
HIGHLIGHTs to MS Word SHADINGs as well as changing the OO user's HIGHLIGHTs to
MS Word SHADINGs.  
Comment 20 frankspace 2007-10-17 19:53:31 UTC
I have this problem in OpenOffice 2.2.0, as well, and it is making life rather
difficult, because I need to exchange marked-up documents with co-workers using
Microsoft Office.  I agree with the characterization of this as corruption.  The
workaround is largely useless - to accomplish what I need, I must use Microsoft
Word to manually select all of what should be highlighting, manually remove the
shading, and then manually re-highlight it.
Comment 21 myotis 2008-04-06 08:37:02 UTC
I would like to add to this, and ask for it to be fixed. As this is a tool used
in collaborating with Word users, it seems important that it works in the
standard way that Word users are used to. 

Thanks,

Graham
Comment 22 Rainer Bielefeld 2008-06-11 06:35:58 UTC
*** Issue 90588 has been marked as a duplicate of this issue. ***
Comment 23 loewe66 2008-08-14 12:25:03 UTC
I would like to add my voice to the others who want this problem fixed. Though
it might seem like a minor inconvenience, I find it one of the chief obstacles
to using OpenOffice.org full time. Getting this (by now very old) problem
resolved in the 3.x release of OOo should be a high priority. 

I also wanted to mention a related issue that might be dealt with concurrently.
In Microsoft Word, the highlight function not only highlights text; it
"un-highlights" previously highlighted text as well. I find this functionality
very useful for the work flow, especially when I assign the highlight function
to an easy-to-access key combination. To "un-highlight" in OpenOffice.org, you
have to go back to the highlight button and set to "no fill" before you can
eliminate highlighted text. 

Thanks.
Comment 24 xime 2008-09-26 11:54:25 UTC
shouldn't this be merged with issue 5416
(http://qa.openoffice.org/issues/show_bug.cgi?id=5416) ?
Comment 25 eric.savary 2010-09-24 07:08:23 UTC
*** Issue 114707 has been marked as a duplicate of this issue. ***
Comment 26 rmano 2010-09-24 08:53:04 UTC
I was the author of the last duplicate filed. Please try to fix this one. It is 
a big inter-compatibility issue, that mean that I cannot use OO.org for work 
within my University, and I am forced to use MS Word. 

I found a workaround that is painful but can save your day: if you save the file 
in rtf format, and then do: 

sed 's/\\chcbpat/\\highlight/g' < in.rtf > out.rtf

the out.rtf has the highlight editable in word. I do not know what it breaks, 
but at least you can do it. 
Comment 27 rmano 2010-09-24 09:26:35 UTC
Ok, more hints for someone that have the same problem: you can remove the yellow 
background, in MS Word, by going to format->paragraph->shading. I understand 
that the problem is that background is just "shading" in OO.org, and two 
different properties in MS Word (highlighting and shadow).

I think that, for once, I will agree with MS that their approach is better: one 
thing is the background you want in the final document, a different one is the 
highlighting you do whilst revising a document with your peers, and removing the 
last one without touching the first one is a nice thing.

In the meantime, I will try to educated my peers that use Word...
Comment 28 hattersley 2011-06-15 11:38:29 UTC
Removing highlighted text in MS Word is still one-click quicker than in OO. Isn't it at all possible to remove highlighting by just clicking the highlighter button, rather than making that extra click to get to the “no-fill” option? And isn't it possible to make this approach compatible with MS Word, instead of having to remove highlighting via the Borders and Shading tab when you export an OO file to MS.
Comment 29 nrbrtx 2013-05-11 14:26:48 UTC
The bug is still exists in latest version of AOO - "OpenOffice.org 3.4.1
AOO341m1 (Build:9593) - Rev. 1372282".

Please fix it.
It's very annoying, and it may scare away users, which are going to switch from Microsoft Office to Apache OpenOffice.
Comment 30 nrbrtx 2013-05-11 15:05:00 UTC
SEE ALSO: this bug exists in latest LibreOffice 4.0.3.3 [  https://bugs.freedesktop.org/show_bug.cgi?id=37540 ].
Comment 31 nrbrtx 2013-05-11 21:10:39 UTC
Created attachment 80672 [details]
demo file with highlighting, which is not removable in MS Office 2003+

This bug exists in latest daily build of AOO 4.0 (from http://people.apache.org/~arielch/developer-snapshots/snapshot/linux_x86/Apache_OpenOffice_4.0.0_Linux_x86_install-arc_en-US.tar.gz, 8 May 03:25, MD5=33b55c11a2ba8d0c28c38ba419c3df1f)
Comment 32 nrbrtx 2013-07-24 10:28:00 UTC
Bug exists in AOO 4.0.0 final - AOO400m1(Build:9700)
2013-05-07 18:26:30 (Tue, 07 May 2013) - Linux i686.

DOC and DOCX files with correct highlighting, created in MS Word are located in Novell bugzilla  (https://bugzilla.novell.com/show_bug.cgi?id=819512 - in Comments 3,4 and 5).
Comment 33 nrbrtx 2013-10-07 10:10:11 UTC
Hello!

Bug is still exist in the latest Windows build of Apache OpenOffice
(
Apache OpenOffice 4.0.1
AOO401m5(Build:9714)  -  Rev. 1524958
2013-09-20 11:40:29 (Fr, 20 Sep 2013)
).

Please fix it as soon as possible.

Highlighting marker is used very often.

But this bug breaks normal document exchange between Microsoft Office Word users and LO/OO users.
Comment 34 nrbrtx 2014-02-03 16:09:31 UTC
I suggest to sync CC lists between LOO and AOO. What do you think?
Comment 35 nrbrtx 2014-02-03 16:14:10 UTC
Actual bug number in LOO is https://bugs.freedesktop.org/show_bug.cgi?id=64490.
Comment 36 nrbrtx 2014-06-13 20:07:43 UTC
It seems that MS Word-like highlighting is produced by sprmCHighlight SPRM [see 1, p. 58].

So I think that "Highlighting" marker must use this attribute for compatibility with MS Word user-experience.

I'm trying to fix it by myself, but it seems more difficult, than fixing related RTF-highlightning bug 79599.


1. http://download.microsoft.com/download/0/B/E/0BE8BDD7-E5E8-422A-ABFD-4342ED7AD886/Word97-2007BinaryFileFormat(doc)Specification.pdf
Comment 37 nrbrtx 2014-06-13 20:09:54 UTC
I mean https://bugs.freedesktop.org/show_bug.cgi?id=79599 , not AOOs bug.
Comment 38 blog 2015-03-12 14:43:19 UTC
This SPAM comment has been deleted by the Bugzilla administrator.